module mymath_

  implicit none

contains

  integer function sign(a)
    real, intent(in) :: a

    sign=0
    if(a<0) then
       sign=-1
    else
       sign=+1
    end if

  end function sign

end module mymath_
